RTAREA(1)

NAME
rtarea - Calculate exposed surface area

SYNOPSIS
rtarea [ options ... ] model.g objects ...

DESCRIPTION
Rtarea calculates the exposed surface area of specified geometry objects from a particular view. It presently does not compute the entire surface area of objects displayed though that would be a nice feature to have. The model geometry is the list of objects in the input database model.g.

-X #
    Set rtarea debug flags to (hexadecimal) number. A flag value of 1 causes 3-D plot output to be written to stdout. All solid RPPs are plotted as grey boxes, and the walk path is in alternating blue and green segments. A flag value of 2 adds red segments for all attempted steps, as well as the final steps. A flag value of 3 adds some debugging prints to stderr in addition to the plots. This is useful for immediate path review, eg,

            rtarea -X 1 ... | tiris

-x #
    Set librt debug flags to (hexadecimal) number.

-n # of steps

-v viewsize

The rtarea program employs librt(3) for the geometry interrogation.

SEE ALSO
mged(1), rt(1), pix-fb(1), librt(3), pix(5).

DIAGNOSTICS
Numerous error conditions are possible. Descriptive messages are printed on standard error.

AUTHOR
John R. Anderson

SOURCE
SECAD/VLD Computing Consortium, Bldg 394
The U. S. Army Ballistic Research Laboratory
Aberdeen Proving Ground, Maryland 21005

COPYRIGHT
This software is Copyright (C) 1987-2005 United States Government as represented by the U.S. Army Research Laboratory. All rights reserved.

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <bugs@brlcad.org>.